<template>
  <div>
    <h1>{{ $t("attributes."+header) }}</h1>
    <ul>
      <li
        v-for="[key,value] in Object.entries(values)"
        :key="key"
      >
        <span class="key">{{ $t("attributes."+key) }}</span><span class="value">{{ value }}</span>
      </li>
    </ul>
  </div>
</template>

<script>
    export default {
        props: {
            header:{type:String, default:""},
            values:{type:Object, required:true}
        }
    }
</script>

<style lang="scss" scoped>

div {
    margin-bottom: 20px;
    margin-right: 5px;
    width: 400px;

    h1 {
        background: #AE8734;
        margin: 0;
        padding-left: 15px;
        font-size:  18pt;
        text-align: left;
        padding:5px;
    }

    ul {
        list-style: none;
        margin: 2px 0;
        padding: 0px;

        li {
            border-left: 3px solid #2574B0;
            margin: 2px 0;
            padding: 0;
            display: flex;
            flex-flow: row;

            .key {
                font-weight: bold;
                width: 120px;
                text-align: right;
                display: inline-block;
                background: #C1D7E7;
                padding: 7px;
            }

            .value {
                flex: 1;
                text-align: center;
                display: inline-block;
                background: #E1EAF0;
                padding: 7px;
            }
        }
    }

}


</style>
